Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://api.veri.studio/v1/datasets/connect/validate \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "source_type": "<string>", "huggingface_dataset": "<string>", "huggingface_config": "<unknown>", "credentials": "<string>" } '
import requestsurl = "https://api.veri.studio/v1/datasets/connect/validate"payload = { "source_type": "<string>", "huggingface_dataset": "<string>", "huggingface_config": "<unknown>", "credentials": "<string>"}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({ source_type: '<string>', huggingface_dataset: '<string>', huggingface_config: '<unknown>', credentials: '<string>' })};fetch('https://api.veri.studio/v1/datasets/connect/validate', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
{ "valid": true, "num_rows": 123, "columns": [ "<string>" ], "error": "<string>" }
API key with the vk_ prefix. Create one from the dashboard.
vk_
Validation result for the dataset connection